<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'UserAddressData' => '\\StructType\\UserAddressData',
            'ContactPersonData' => '\\StructType\\ContactPersonData',
            'ArrayOfUserLoginMinimalData' => '\\ArrayType\\ArrayOfUserLoginMinimalData',
            'UserLoginMinimalData' => '\\StructType\\UserLoginMinimalData',
            'LoginUserRequest' => '\\StructType\\LoginUserRequest',
            'Request' => '\\StructType\\Request',
            'LoginUserResponse' => '\\StructType\\LoginUserResponse',
            'Response' => '\\StructType\\Response',
            'CheckUsernameForAvailabilityRequest' => '\\StructType\\CheckUsernameForAvailabilityRequest',
            'CheckUsernameForAvailabilityResponse' => '\\StructType\\CheckUsernameForAvailabilityResponse',
            'CheckSessionForExistenceRequest' => '\\StructType\\CheckSessionForExistenceRequest',
            'SessionRequest' => '\\StructType\\SessionRequest',
            'CheckSessionForExistenceResponse' => '\\StructType\\CheckSessionForExistenceResponse',
            'RegistrateUserRequest' => '\\StructType\\RegistrateUserRequest',
            'RegistrateUserResponse' => '\\StructType\\RegistrateUserResponse',
            'DeactivateUserRequest' => '\\StructType\\DeactivateUserRequest',
            'DeactivateUserResponse' => '\\StructType\\DeactivateUserResponse',
            'ChangeUserDataRequest' => '\\StructType\\ChangeUserDataRequest',
            'ChangeUserDataResponse' => '\\StructType\\ChangeUserDataResponse',
            'GetUserDataFromSessionIdResponse' => '\\StructType\\GetUserDataFromSessionIdResponse',
            'GetSalesDataFromSessionIdResponse' => '\\StructType\\GetSalesDataFromSessionIdResponse',
            'GetAllLoginsForAddressOfThisSessionIdResponse' => '\\StructType\\GetAllLoginsForAddressOfThisSessionIdResponse',
            'ResendPasswordRequest' => '\\StructType\\ResendPasswordRequest',
            'ResendPasswordResponse' => '\\StructType\\ResendPasswordResponse',
            'SetExternalSessionIdRequest' => '\\StructType\\SetExternalSessionIdRequest',
            'SetExternalSessionIdResponse' => '\\StructType\\SetExternalSessionIdResponse',
            'GetExternalSessionIdResponse' => '\\StructType\\GetExternalSessionIdResponse',
            'ConfirmDoubleOptInRequest' => '\\StructType\\ConfirmDoubleOptInRequest',
            'ConfirmDoubleOptInResponse' => '\\StructType\\ConfirmDoubleOptInResponse',
            'NewsletterUnsubscribeRequest' => '\\StructType\\NewsletterUnsubscribeRequest',
            'NewsletterUnsubscribeResponse' => '\\StructType\\NewsletterUnsubscribeResponse',
            'LoginUser' => '\\StructType\\LoginUser',
            'CheckUsernameForAvailability' => '\\StructType\\CheckUsernameForAvailability',
            'CheckSessionForExistence' => '\\StructType\\CheckSessionForExistence',
            'RegistrateUser' => '\\StructType\\RegistrateUser',
            'DeactivateUser' => '\\StructType\\DeactivateUser',
            'ChangeUserData' => '\\StructType\\ChangeUserData',
            'GetUserDataFromSessionId' => '\\StructType\\GetUserDataFromSessionId',
            'GetSalesDataFromSessionId' => '\\StructType\\GetSalesDataFromSessionId',
            'GetAllLoginsForAddressOfThisSessionId' => '\\StructType\\GetAllLoginsForAddressOfThisSessionId',
            'ResendPassword' => '\\StructType\\ResendPassword',
            'SetExternalSessionId' => '\\StructType\\SetExternalSessionId',
            'GetExternalSessionId' => '\\StructType\\GetExternalSessionId',
            'NewsletterConfirmDoubleOptIn' => '\\StructType\\NewsletterConfirmDoubleOptIn',
            'NewsletterConfirmDoubleOptInResponse' => '\\StructType\\NewsletterConfirmDoubleOptInResponse',
            'NewsletterUnsubscribe' => '\\StructType\\NewsletterUnsubscribe',
        );
    }
}
