<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Registrate ServiceType
 * @subpackage Services
 */
class Registrate extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named RegistrateUser
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RegistrateUser $parameters
     * @return \StructType\RegistrateUserResponse|bool
     */
    public function RegistrateUser(\StructType\RegistrateUser $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RegistrateUser($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\RegistrateUserResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
